<template>
<div class="chats">
  {{user}}
  <p>This place will carry chats</p>
  <button @click="resetChat()">reset</button>
  <ul v-for="chat in chats">
    <li>
      {{chat.from}}
</li>
  </ul>
</div>
</template>

<script>
import { mapGetters } from 'vuex'
export default {
  name: 'Chats',
  computed: mapGetters({
    chats: 'allChats',
    user: 'user'
  }),
  created () {
    this.$store.dispatch('getAllChats')
  },
  methods: {
    resetChat () {
      const rstChats = [{from: 'bello'}, {from: 'bella'}]
      this.$store.dispatch('resetChat', rstChats)
    }
  }

}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1, h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
